from shiftregister.app.models import *


class TeamMember(models.Model):
    name = models.CharField(max_length=100)

    def __str__(self):
        return f"{self.name}"


class FallbackAssignment(models.Model):
    shift = models.ForeignKey(Shift, on_delete=models.CASCADE)
    team_member = models.ForeignKey(TeamMember, on_delete=models.CASCADE)

    def __str__(self):
        return f"{self.shift} {self.team_member.name}"
